<?php
/*
Plugin Name: Elfsight PayPal Button CC
Description: Get payments, subscriptions and donations on your website via popular and secure payment system
Plugin URI: https://elfsight.com/paypal-button-widget-generator/codecanyon/?utm_source=markets&utm_medium=codecanyon&utm_campaign=paypal-button&utm_content=plugin-site
Version: 1.2.0
Author: Elfsight
Author URI: https://elfsight.com/?utm_source=markets&utm_medium=codecanyon&utm_campaign=paypal-button&utm_content=plugins-list
*/

if (!defined('ABSPATH')) exit;


require_once('core/elfsight-plugin.php');

$elfsight_paypal_button_config_path = plugin_dir_path(__FILE__) . 'config.json';
$elfsight_paypal_button_config = json_decode(file_get_contents($elfsight_paypal_button_config_path), true);

new ElfsightPaypalButtonPlugin(
    array(
        'name' => esc_html__('PayPal Button'),
        'description' => esc_html__('Get payments, subscriptions and donations on your website via popular and secure payment system'),
        'slug' => 'elfsight-paypal-button',
        'version' => '1.2.0',
        'text_domain' => 'elfsight-paypal-button',
        'editor_settings' => $elfsight_paypal_button_config['settings'],
        'editor_preferences' => $elfsight_paypal_button_config['preferences'],

        'plugin_name' => esc_html__('Elfsight PayPal Button'),
        'plugin_file' => __FILE__,
        'plugin_slug' => plugin_basename(__FILE__),

        'vc_icon' => plugins_url('assets/img/vc-icon.png', __FILE__),
        'menu_icon' => plugins_url('assets/img/menu-icon.png', __FILE__),

        'update_url' => esc_url('https://a.elfsight.com/updates/v1/'),
        'product_url' => esc_url('https://codecanyon.net/item/paypal-button-wordpress-paypal-plugin/23176787?ref=Elfsight'),
        'helpscout_plugin_id' => 110714
    )
);

?>
